From 90eaea3b553fdf80aafd729806b4bb99dc338ee3 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Mon, 17 Jun 2019 20:52:03 -0500
Subject: [PATCH] New package: g810-led-0.3.4

---
 srcpkgs/g810-led/patches/musl.patch | 50 +++++++++++++++++++++++++++++
 srcpkgs/g810-led/template           | 24 ++++++++++++++
 2 files changed, 74 insertions(+)
 create mode 100644 srcpkgs/g810-led/patches/musl.patch
 create mode 100644 srcpkgs/g810-led/template

diff --git a/srcpkgs/g810-led/patches/musl.patch b/srcpkgs/g810-led/patches/musl.patch
new file mode 100644
index 00000000000..e29901130eb
--- /dev/null
+++ b/srcpkgs/g810-led/patches/musl.patch
@@ -0,0 +1,50 @@
+--- src/classes/Keyboard.h.orig
++++ src/classes/Keyboard.h
+@@ -45,17 +45,17 @@
+ 	public:
+ 		
+ 		std::vector<std::vector<uint16_t>> SupportedKeyboards = {
+-			{ 0x46d, 0xc336, (u_int16_t)KeyboardModel::g213 },
+-			{ 0x46d, 0xc330, (u_int16_t)KeyboardModel::g410 },
+-			{ 0x46d, 0xc33a, (u_int16_t)KeyboardModel::g413 },
+-			{ 0x46d, 0xc33c, (u_int16_t)KeyboardModel::g513 },
+-			{ 0x46d, 0xc333, (u_int16_t)KeyboardModel::g610 },
+-			{ 0x46d, 0xc338, (u_int16_t)KeyboardModel::g610 },
+-			{ 0x46d, 0xc331, (u_int16_t)KeyboardModel::g810 },
+-			{ 0x46d, 0xc337, (u_int16_t)KeyboardModel::g810 },
+-			{ 0x46d, 0xc32b, (u_int16_t)KeyboardModel::g910 },
+-			{ 0x46d, 0xc335, (u_int16_t)KeyboardModel::g910 },
+-			{ 0x46d, 0xc339, (u_int16_t)KeyboardModel::gpro }
++			{ 0x46d, 0xc336, (uint16_t)KeyboardModel::g213 },
++			{ 0x46d, 0xc330, (uint16_t)KeyboardModel::g410 },
++			{ 0x46d, 0xc33a, (uint16_t)KeyboardModel::g413 },
++			{ 0x46d, 0xc33c, (uint16_t)KeyboardModel::g513 },
++			{ 0x46d, 0xc333, (uint16_t)KeyboardModel::g610 },
++			{ 0x46d, 0xc338, (uint16_t)KeyboardModel::g610 },
++			{ 0x46d, 0xc331, (uint16_t)KeyboardModel::g810 },
++			{ 0x46d, 0xc337, (uint16_t)KeyboardModel::g810 },
++			{ 0x46d, 0xc32b, (uint16_t)KeyboardModel::g910 },
++			{ 0x46d, 0xc335, (uint16_t)KeyboardModel::g910 },
++			{ 0x46d, 0xc339, (uint16_t)KeyboardModel::gpro }
+ 		};
+ 		
+ 		enum class KeyboardModel : uint8_t {
+--- src/main.cpp.orig
++++ src/main.cpp
+@@ -280,13 +280,13 @@
+ 			if (! utils::parseUInt8(argv[argIndex + 1], kbdProtocol)) return 1;
+ 			switch(kbdProtocol) {
+ 				case 1:
+-					kbd.SupportedKeyboards = { { vendorID, productID, (u_int16_t)LedKeyboard::KeyboardModel::g810 } };
++					kbd.SupportedKeyboards = { { vendorID, productID, (uint16_t)LedKeyboard::KeyboardModel::g810 } };
+ 					break;
+ 				case 2:
+-					kbd.SupportedKeyboards = { { vendorID, productID, (u_int16_t)LedKeyboard::KeyboardModel::g910 } };
++					kbd.SupportedKeyboards = { { vendorID, productID, (uint16_t)LedKeyboard::KeyboardModel::g910 } };
+ 					break;
+ 				case 3:
+-					kbd.SupportedKeyboards = { { vendorID, productID, (u_int16_t)LedKeyboard::KeyboardModel::g213 } };
++					kbd.SupportedKeyboards = { { vendorID, productID, (uint16_t)LedKeyboard::KeyboardModel::g213 } };
+ 					break;
+ 				default:
+ 					break;
diff --git a/srcpkgs/g810-led/template b/srcpkgs/g810-led/template
new file mode 100644
index 00000000000..af2017ec7fd
--- /dev/null
+++ b/srcpkgs/g810-led/template
@@ -0,0 +1,24 @@
+# Template file for 'g810-led'
+pkgname=g810-led
+version=0.3.4
+revision=1
+build_style=gnu-makefile
+makedepends="hidapi-devel"
+short_desc="LED controller for Logitech G213,410,512,610,810,910,PRO keyboards"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/MatMoul/g810-led/"
+distfiles="https://github.com/MatMoul/g810-led/archive/v${version}.tar.gz"
+checksum=6737d184fafcadcfd2e86d2cc6c92efb910f4abe97eebf6c52b0de9ab6864972
+
+#case $XBPS_TARGET_MACHINE in
+#	*-musl) broken="";;
+#esac
+
+do_install() {
+	vbin bin/g810-led
+	vmkdir usr/lib
+	vcopy "lib/*.so.*" usr/lib
+	vdoc README.md
+	vdoc INSTALL.md
+}
